# $Revision: 1.66 $, $Date: 2010/01/19 11:36:01 $
# TODO:
# - kde4
# - gtk1 no longer updated. drop after dropping last gtk+ 1.x app
#
# Conditional build:
%bcond_without	gtk	# don't build GTK+ styles
%bcond_without	gtk2	# don't build GTK+2 styles
%bcond_without	kde	# don't build KDE styles
#
%define		ver		0.68.1
%define		kde_ver		0.68.1
%define		gtk2_ver	0.68.1
%define		gtk1_ver	0.42.2
Summary:	A free and corrected port of Red Hat's GTK+/Qt theme
Summary(pl.UTF-8):	Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata
Name:		QtCurve
Version:	%{ver}
Release:	1
License:	GPL
Group:		Themes
Source0:	http://home.freeuk.com/cpdrummond/%{name}-KDE3-%{kde_ver}.tar.bz2
# Source0-md5:	2451c8e624f8e07bfaf5584f4208c9d7
Source1:	http://home.freeuk.com/cpdrummond/%{name}-Gtk2-%{gtk2_ver}.tar.bz2
# Source1-md5:	c7c2324e05aa09ecb26d1f9cc81a5e4a
Source2:	http://home.freeuk.com/cpdrummond/%{name}-Gtk1-%{gtk1_ver}.tar.gz
# Source2-md5:	8219f58493ca4e65a8fe61ee76eca522
Patch0:		%{name}-Gtk1-lib64.patch
URL:		http://www.kde-look.org/content/show.php?content=40492
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cmake
%{?with_gtk:BuildRequires:	gtk+-devel}
%{?with_gtk2:BuildRequires:	gtk+2-devel}
%{?with_kde:BuildRequires:	kdelibs-devel >= 3.1}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	sed > 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A free and corrected port of Red Hat's GTK+/Qt theme.

%description -l pl.UTF-8
Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata.

%package -n kde-style-QtCurve
Summary:	A free and corrected port of Red Hat's GTK+/Qt theme
Summary(pl.UTF-8):	Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata
Version:	%{kde_ver}
Group:		Themes
Requires:	kdelibs >= 3.1

%description -n kde-style-QtCurve
A free and corrected port of Red Hat's GTK+/Qt theme. KDE version.

%description -n kde-style-QtCurve -l pl.UTF-8
Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata.
Wersja pod KDE.

%package -n gtk-theme-QtCurve
Summary:	A free and corrected port of Red Hat's GTK+/Qt theme
Summary(pl.UTF-8):	Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata
Version:	%{gtk1_ver}
Group:		Themes
Requires:	theme-QtCurve-common = %{ver}-%{release}

%description -n gtk-theme-QtCurve
A free and corrected port of Red Hat's GTK+/Qt theme. GTK+ version.

%description -n gtk-theme-QtCurve -l pl.UTF-8
Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata.
Wersja pod GTK+.

%package -n gtk2-theme-QtCurve
Summary:	A free and corrected port of Red Hat's GTK+/Qt theme
Summary(pl.UTF-8):	Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata
Version:	%{gtk2_ver}
Group:		Themes
Requires:	theme-QtCurve-common = %{ver}-%{release}

%description -n gtk2-theme-QtCurve
A free and corrected port of Red Hat's GTK+/Qt theme. GTK+2 version.

%description -n gtk2-theme-QtCurve -l pl.UTF-8
Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata.
Wersja pod GTK+2.

%package -n theme-QtCurve-common
Summary:	A free and corrected port of Redhats GTK+/Qt theme - common
Summary(pl.UTF-8):	Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata - common
Version:	%{ver}
Group:		Themes
Obsoletes:	gtk-theme-bluecurve
Obsoletes:	gtk2-theme-bluecurve
Obsoletes:	kde-style-bluecurve
Obsoletes:	kde-theme-bluecurve
Obsoletes:	theme-bluecurve-common

%description -n theme-QtCurve-common
A free and corrected port of Red Hat's GTK+/Qt theme. Documentation
and common files package.

%description -n theme-QtCurve-common -l pl.UTF-8
Darmowa i poprawiona wersja motywu GTK+/Qt zrobionego przez Red Hata.
Pakiet z dokumentacja i plikami współdzielonymi.

%prep
%setup -q -c -D %{?with_kde:-a0} %{?with_gtk2:-a1} %{?with_gtk:-a2}

%if %{with gtk}
%if "%{_lib}" == "lib64"
cd %{name}-Gtk1-%{gtk1_ver}
%patch0 -p1
cd -
%endif
%endif


%build
%if %{with kde}
cd %{name}-KDE3-%{kde_ver}
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	.

%{__make}
cd -
%endif

%if %{with gtk}
cd %{name}-Gtk1-%{gtk1_ver}
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
cd -
%endif

%if %{with gtk2}
cd %{name}-Gtk2-%{gtk2_ver}
%cmake \
	-DQTC_ADD_EVENT_FILTER=true \
	-DQTC_MODIFY_MOZILLA=true \
	-DQTC_MODIFY_MOZILLA_USER_JS=true \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	.

%{__make}
cd -
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kde}
%{__make} -C %{name}-KDE3-%{kde_ver} install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with gtk}
%{__make} -C %{name}-Gtk1-%{gtk1_ver} install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with gtk2}
%{__make} -C %{name}-Gtk2-%{gtk2_ver} install \
	DESTDIR=$RPM_BUILD_ROOT

chmod a+x $RPM_BUILD_ROOT%{_datadir}/themes/QtCurve/gtk-2.0/map_kde_icons.pl
%endif

rm -f $RPM_BUILD_ROOT{%{_libdir}/gtk/themes/engines,%{_libdir}/gtk-2.0/*/*}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with kde}
%files -n kde-style-QtCurve
%defattr(644,root,root,755)
%{_libdir}/kde3/kstyle_qtcurve_config.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_qtcurve_config.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_datadir}/apps/kstyle/themes/qtcurve*.themerc
%{_datadir}/apps/kstyle/themes/qtc_klearlooks.themerc
%{_datadir}/apps/QtCurve
%endif

%if %{with gtk}
%files -n gtk-theme-QtCurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk/themes/engines/*.so
%{_datadir}/themes/QtCurve/gtk
%endif

%if %{with gtk2}
%files -n gtk2-theme-QtCurve
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/*/*/*.so
%dir %{_datadir}/themes/QtCurve/gtk-2.0
%{_datadir}/themes/QtCurve/gtk-2.0/gtkrc
%{_datadir}/themes/QtCurve/gtk-2.0/icons3
%{_datadir}/themes/QtCurve/gtk-2.0/icons4
%attr(755,root,root) %{_datadir}/themes/QtCurve/gtk-2.0/map_kde_icons.pl
%dir %{_datadir}/themes/QtCurve/mozilla
%{_datadir}/themes/QtCurve/mozilla/QtCurve.css
%{_datadir}/themes/QtCurve/mozilla/QtCurve-KDEButtonOrder.css
%{_datadir}/themes/QtCurve/mozilla/preferences-rev.xml
%endif

%files -n theme-QtCurve-common
%defattr(644,root,root,755)
%doc %{name}-KDE3-%{kde_ver}/ChangeLog
%doc %{name}-KDE3-%{kde_ver}/README
%doc %{name}-KDE3-%{kde_ver}/TODO
%dir %{_datadir}/themes/QtCurve

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: QtCurve.spec,v $
Revision 1.66  2010/01/19 11:36:01  glen
- fix build

Revision 1.65  2009/10/24 21:20:12  charles
- updated to 0.68.1
- removed outdated -Gtk2-userjs.patch and -Gtk2-mailto.patch

Revision 1.64  2009/04/03 21:50:02  charles
- updated to 0.62.6

Revision 1.63  2008/09/21 13:03:22  glen
- restore dot

Revision 1.62  2008/09/21 10:29:29  charles
- rm tabs

Revision 1.61  2008/08/26 21:25:21  cactus
- KDE3 up to 0.59.5
- gtk2 up to 0.59.7
- %doc does not handle %{name}-KDE3-%{kde_ver}/{ChangeLog,README,TODO}

Revision 1.60  2008/05/27 00:20:03  charles
- updated to 0.59.2

Revision 1.59  2008-05-06 19:26:20  charles
- md5

Revision 1.58  2008-05-06 19:23:36  charles
- updated to 0.59.1

Revision 1.57  2008-02-16 21:58:46  tommat
- fix build on lib64 archs

Revision 1.56  2007-12-25 21:49:00  glen
- rel 4

Revision 1.55  2007-12-12 21:39:25  glen
- rel 3

Revision 1.54  2007-12-12 20:32:47  qboosh
- updated gtk bcond desc

Revision 1.53  2007-12-12 19:43:39  glen
- build gtk1 theme, add kde bcond; rel 2

Revision 1.52  2007-12-12 17:31:48  qboosh
- gtk+ 1.x themes should exist as long as any gtk+ 1.x app exist

Revision 1.51  2007-12-06 08:13:09  glen
- rel 2

Revision 1.50  2007-12-06 03:11:07  glen
- use shell constructs instead of subshells in mozilla mailto.sh wrapper

Revision 1.49  2007-12-06 02:50:28  glen
- really copy user.js

Revision 1.48  2007-12-06 02:19:53  glen
- build switched to cmake

Revision 1.47  2007-12-06 02:08:10  glen
- kde/gtk2 updated to 0.55.1

Revision 1.46  2007-09-18 19:45:17  rotom
- up to 0.5.3

Revision 1.45  2007/06/19 17:39:32  rotom
- up to 0.52

Revision 1.44  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.42  2006/12/28 23:06:37  charles
- use kde-am110.patch

Revision 1.41  2006/12/26 14:55:44  charles
- updated to 0.46.2
- added -am.patch, kde-ac260-lt.patch

Revision 1.40  2006/11/18 17:47:25  charles
- updated to 0.45 (0.42 for Gtk1);
- NOTE: From 0.39 onwards the KDE and Gtk styles will be in separate archives.

Revision 1.39  2006/07/19 09:45:26  havner
- try to fix amd64 build

Revision 1.38  2006/07/19 09:19:52  qboosh
- pass --with-qt-libraries

Revision 1.37  2006/07/04 11:46:29  charles
- updated to 0.38
- new URL

Revision 1.36  2006/05/31 21:46:21  adamg
- updated to 0.36
- -gcc34.patch not needed

Revision 1.35  2006/05/20 17:43:44  charles
- typo

Revision 1.34  2006/05/20 17:34:27  charles
- added gtk2 bcond (as default)
- updated BRs

Revision 1.33  2006/05/20 15:46:32  adamg
- updated to 0.35.1

Revision 1.32  2006/03/13 19:52:42  djurban
- updated to 0.34, commenting out Patch0 as i dont have gcc 3,4 and dont know whether
  it is still necessary (doesnt apply tho)

Revision 1.31  2004/10/30 11:31:44  qboosh
- s/temat/motyw/, Red Hat spelling

Revision 1.30  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.29  2004/05/13 17:24:03  ankry
- spaces -> tabs, other cosmetics

Revision 1.28  2004/04/27 00:57:35  adgor
- 0.20

Revision 1.27  2004/04/27 00:11:45  adgor
- Added gcc34.patch
- Release 2

Revision 1.26  2004/04/17 16:03:03  pluto
- spaces -> tab.
- djurban, fix your system, gcc 3.4 builds it properly.

Revision 1.25  2004/04/17 12:40:02  djurban
- updated to 0.19, doesnt build with gcc 3.4 but shouldbuild with normal compilers

Revision 1.24  2004/04/09 13:15:36  qboosh
- don't install *.la for gtk+ modules

Revision 1.23  2004/04/09 10:10:28  adgor
- 0.18
- Fixed wo gtk bcond

Revision 1.22  2004/04/09 09:52:34  adgor
- Temporary wo gtk bcond (can't compile & don't know why)

Revision 1.21  2004/03/18 10:37:06  adgor
- Missing files

Revision 1.20  2004/03/17 23:51:50  adgor
- cp config.sub
- .... do nopt forget to rebuild with gtk+2-2.4 .... uhh

Revision 1.19  2004/03/12 15:07:42  adgor
- Fixed Source0 entries

Revision 1.18  2004/02/28 20:03:29  djurban
- awtupdated not tested

Revision 1.17  2003/12/13 14:31:51  djurban
- updated to 0.14

Revision 1.16  2003/10/22 15:17:34  adgor
- 0.11

Revision 1.15  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.13  2003/08/11 20:44:50  ankry
cosmetics

Revision 1.12  2003/07/31 12:41:18  djurban
- updated to 0.10
- reorganized obsoletes

Revision 1.11  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.10  2003/06/28 14:10:30  adgor
- s/bluecurve/QtCurve/
- Proper obsoletes
- Release 4

Revision 1.9  2003/06/28 12:14:47  adgor
- Fixed R/BR
- Release 3

Revision 1.8  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/27 22:07:42  adgor
- kde-theme-luecurve is now known as kde-style-bluecurve
- Release 2

Revision 1.5  2003/03/29 21:27:17  jareq
- typo fixed (/s/qtk/gtk)

Revision 1.4  2003/03/29 10:06:49  djurban
- updated to 0.7

Revision 1.3  2003/03/04 14:11:13  djurban
- updated to 0.06

Revision 1.2  2003/03/02 20:53:23  djurban
- updated to 0.05

Revision 1.1  2003/02/24 12:36:06  qboosh
- mv qtcurve.spec QtCurve.spec to reflect Name

Revision 1.5  2003/02/23 23:28:57  adgor
- Fixed %%files, req
- Cleanups

Revision 1.4  2003/02/23 23:10:49  djurban
- Updated to 0.04
- Wydzielilem common subpackage (fsck, dont remember word)

Revision 1.3  2003/02/23 21:00:47  ankry
- cosmetics in summaries/descriptions

Revision 1.2  2003/02/23 20:49:23  djurban
- br/r fixes

Revision 1.1  2003/02/23 20:19:21  djurban
- initial rel.
- THIS SPEC CREATES THEMES FOR GTK1/2 TOO!
